SystemOrganization addCategory: #ConfigurationOfPier3AddOns!

Object subclass: #ConfigurationOfPier3AddOns
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfPier3AddOns'!

!ConfigurationOfPier3AddOns class methodsFor: 'private' stamp: 'NickAger 1/31/2012 06:57'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfPier3AddOns class methodsFor: 'private' stamp: 'NickAger 1/31/2012 06:57'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfPier3AddOns class methodsFor: 'metacello tool support' stamp: 'NickAger 1/31/2012 06:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPier3AddOns class methodsFor: 'loading' stamp: 'NickAger 2/1/2012 18:13'!
load
	"self load"
	
	self project stableVersion load! !

!ConfigurationOfPier3AddOns class methodsFor: 'accessing' stamp: 'NickAger 1/31/2012 06:57'!
project

	^self new project! !

!ConfigurationOfPier3AddOns class methodsFor: 'release' stamp: 'NickAger 1/31/2012 06:57'!
releaseToGemSource
	"self releaseToGemSource"

	(Smalltalk at: #Gofer) new
		gemsource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfPier3AddOns class methodsFor: 'release' stamp: 'NickAger 1/31/2012 06:57'!
releaseToSqueakSource
	"self releaseToSqueakSource"

	(Smalltalk at: #Gofer) new
		squeaksource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfPier3AddOns methodsFor: 'baselines' stamp: 'NickAger 2/9/2012 18:54'!
baseline300: spec 
	<version: '3.0.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'initial port of Pier3 addons'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier3addons'.
		spec
			project: 'JQuery Widgetbox FormExample' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					versionString: '2.6';
					loads: #('JQWidgetBox-FormExample-Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'JQuery Widgetbox UILayout' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					versionString: '2.6';
					loads: #('JQWidgetBox-UILayout-Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier3';
					versionString: #stable;
					loads: #('Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Tests' copyFrom: 'Pier Core' with: [
				spec
					loads: #('Tests') ];
			project: 'RSS' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #stable;
					loads: #( 'RSS-Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #stable;
					loads: #('Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte3';
					versionString: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte-Json' with: [
				spec
					className: 'ConfigurationOfMagritte3AddOns';
					versionString: #stable;
					loads: #('Magritte-Json');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'NAFileUpload-Nginx-Component' with: [
				spec
					className: 'ConfigurationOfNAFileUpload';
					versionString: #'bleedingEdge';
					loads: #('NAFileUpload-Nginx-Component' );
					repository: 'http://www.squeaksource.com/fileupload' ];
			project: 'NAFileUpload-Component' copyFrom: 'NAFileUpload-Nginx-Component' with: [
				spec loads: #('NAFileUpload-Component')];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec requires: #( 'Pier Core' 'RSS' ) ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Exporter-Code' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Tests-Exporter-Code' with: [ 
				spec requires: #('Pier-Exporter-Code' 'Pier-Setup')];
			package: 'Pier-Shout' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-JQuery' with: [ 
				spec requires: #('Pier Core' 'JQuery Widgetbox FormExample')];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Randomizer' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: 
					#('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' 
						'Pier-EditorEnh' 'Pier-LinkChecker' 'Pier-JQuery')];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Javascript-Jasmine' with: [
				spec
					repository: 'http://www.squeaksource.com/Seaside30Addons'];
			package: 'Pier-Wysiwyg' with: [ spec requires: #('Pier-EditorEnh') ];
			package: 'Pier-Tests-Wysiwyg' with: [ spec requires: #('Pier-Wysiwyg' 'Javascript-Jasmine') ];
			package: 'Pier-FileUpload-Common-Wysiwyg' with: [ spec requires: #('Pier-Wysiwyg') ];
			package: 'Pier-FileUpload-Wysiwyg' with: [ spec requires: #('Pier-FileUpload-Common-Wysiwyg' 'NAFileUpload-Component' 'Magritte-Json' 'Magritte') ];
			package: 'Pier-FileUpload-Nginx-Wysiwyg' with: [ spec requires: #('Pier-FileUpload-Common-Wysiwyg' 'NAFileUpload-Nginx-Component' 'Magritte-Json' 'Magritte') ];
			package: 'JQWidgetBox-JSTree-Core';
			package: 'Pier-Kernel-Distributions';
			package: 'Pier-Admin' with: [
				spec requires: #('Pier Core' 'JQuery Widgetbox UILayout' 'Pier-Kernel-Distributions' 'JQWidgetBox-JSTree-Core' 'Pier-Blog' 'Pier-Book' 'Pier-Design' 'Pier-Documents' 'Pier-EditorEnh' 'Pier-Google' 'Pier-JQuery' 'Pier-LinkChecker' 'Pier-TagCloud' 'Pier-Wysiwyg' 'Pier-Tests-Wysiwyg' 'Pier-FileUpload-Common-Wysiwyg' 'Pier-FileUpload-Wysiwyg' 'Pier-Shout') ]
			yourself.
		spec
			group: 'default' with: #('Pier-Admin');
			group: 'Tests' with: #('Pier-Tests-Wysiwyg' 'Pier-Tests-Exporter-Code' 'Pier Tests');
			yourself.].
		
	spec for: #squeakCommon do: [
		spec
			project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.3-baseline';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Twitter' with: [  
				spec requires: #('OSProcess'). ];
			yourself. ].! !

!ConfigurationOfPier3AddOns methodsFor: 'symbolic versions' stamp: 'NickAger 1/31/2012 06:57'!
development: spec 
	"no development versions at the moment"
	
	<symbolicVersion: #development>
	! !

!ConfigurationOfPier3AddOns methodsFor: 'accessing' stamp: 'NickAger 1/31/2012 06:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfPier3AddOns methodsFor: 'symbolic versions' stamp: 'NickAger 2/1/2012 18:07'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '3.0.0'. 
! !

!ConfigurationOfPier3AddOns methodsFor: 'versions' stamp: 'NickAger 2/14/2012 11:59'!
version300: spec
	<version: '3.0.0' imports: #('3.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'initial port of Pier3 addons'.
		spec author: 'NickAger'.
		spec timestamp: '01/31/2012 07:07'.
		spec 
			project: 'JQuery Widgetbox' with: '2.6';
			project: 'Pier Core' with: #stable;
			project: 'RSS' with: #stable;
			project: 'XML Parser' with: #stable.
		spec
			package: 'Pier-Admin' with: 'Pier-Admin-NickAger.66';
			package: 'Pier-Blog' with: 'Pier-Blog-NickAger.158';
			package: 'Pier-Design' with: 'Pier-Design-NickAger.12';
			package: 'Pier-Documents' with: 'Pier-Documents-NickAger.29';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-NickAger.62';
			package: 'Pier-Exporter-Code' with: 'Pier-Exporter-Code-NickAger.22';
			package: 'Pier-FileUpload-Common-Wysiwyg' with: 'Pier-FileUpload-Common-Wysiwyg-NickAger.8';
			package: 'Pier-FileUpload-Nginx-Wysiwyg' with: 'Pier-FileUpload-Nginx-Wysiwyg-NickAger.1';
			package: 'Pier-FileUpload-Wysiwyg' with: 'Pier-FileUpload-Wysiwyg-NickAger.6';
			package: 'Pier-Google' with: 'Pier-Google-NickAger.20';
			package: 'Pier-JQuery' with: 'Pier-JQuery-NickAger.13';
			package: 'Pier-Kernel-Distributions' with: 'Pier-Kernel-Distributions-NickAger.37';
			package: 'Pier-Randomizer' with: 'Pier-Randomizer-NickAger.8';
			package: 'Pier-Shout' with: 'Pier-Shout-NickAger.4';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.23';
			package: 'Pier-Twitter' with: 'Pier-Twitter-NickAger.24';
			package: 'Javascript-Jasmine' with: 'Javascript-Jasmine-NickAger.2';
			package: 'JQWidgetBox-JSTree' with: 'JQWidgetBox-JSTree-Core-NickAger.16';
			package: 'Pier-Tests-Exporter-Code' with: 'Pier-Tests-Exporter-Code-NickAger.4';
			package: 'Pier-Tests-Wysiwyg' with: 'Pier-Tests-Wysiwyg-NickAger.16';
			package: 'Pier-Wysiwyg' with: 'Pier-Wysiwyg-NickAger.83' ].

	spec for: #'squeakCommon' do: [
		spec project: 'OSProcess' with: '4.3.11'.
		spec 
			package: 'Pier-Book' with: 'Pier-Book-NickAger.156';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.7';
			package: 'Pier-Setup' with: 'Pier-Setup-NickAger.100'. ].
! !
